Summary:	Morse Code Training Software
Name:		cutecw
Version:	1.2
%define subrel	1
Release:	%mkrel 2
License:	GPLv2
Group:		Communications/Radio
URL:		https://github.com/rhaamo/CuteCW
# Re-create upstream tarball to match proper name-version
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}.desktop

Patch1:		cutecw-paths.patch

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	desktop-file-utils

Requires:	qtmultimedia5

%description
Most Morse code training requires you to learn everything at once
without a training process. This application changes that and
separates training into phases.
The term 'CW' is often incorrectly used to refer to Morse code.
In reality it is the carrier wave mode, commonly used to transmit Morse code. 

%prep
%autosetup -p1

%build
%qmake_qt5 PREFIX=%{buildroot}%{_prefix}

%make_build

%install
%make_install

%{__mkdir_p} %{buildroot}%{_iconsdir}/hicolor/scalable/apps/
%{__cp} icons/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/
%{__mkdir_p} %{buildroot}%{_datadir}/%{name}
%{__cp} -r words %{buildroot}%{_datadir}/%{name}/
%{__cp} -r books %{buildroot}%{_datadir}/%{name}/
%{__cp} %{SOURCE1} .

desktop-file-install --vendor="" \
    --dir %{buildroot}%{_datadir}/applications %{name}.desktop

%files 
%doc LICENSE README.org
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/apps/*.svg
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/


%changelog
* Mon Nov 06 2017 barjac <barjac> 1.2-2.1.mga6
+ Revision: 1176244
- Add Requires: qtmultimedia5
- to fix Mga#21911 (cutecw has no sound)
- update to 1.2 to fix Mga#21911
- cutecw has no sound output

* Sun Feb 14 2016 umeabot <umeabot> 1.0-9.mga6
+ Revision: 959833
- Mageia 6 Mass Rebuild

* Wed Sep 09 2015 neoclust <neoclust> 1.0-8.mga6
+ Revision: 875055
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 1.0-7.mga5
+ Revision: 747553
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-6.mga5
+ Revision: 678643
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0-5.mga4
+ Revision: 503650
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0-4.mga3
+ Revision: 348506
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 28 2012 barjac <barjac> 1.0-3.mga3
+ Revision: 299027
- Change group to new policy

* Sun Aug 26 2012 barjac <barjac> 1.0-2.mga3
+ Revision: 284134
- Rebuild against new tools, pulseaudio etc. for mga3

* Sat Jan 07 2012 barjac <barjac> 1.0-1.mga2
+ Revision: 192951
- Cleaned with Summary and Description edits
- Desktop file updated
- imported package cutecw


* Sun Mar  6 2011 Wes Hardaker <wjhns174@hardakers.net> - 1.0-1
- Updated to 1.0 upstream

* Mon Feb 14 2011 Wes Hardaker <wjhns174@hardakers.net> - 0.5-1
- Update to 0.5

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 12 2011 Wes Hardaker <wjhns174@hardakers.net> - 0.4-3
- made the icons point to the -datadir instead of _iconsdir

* Wed Jan 12 2011 Wes Hardaker <wjhns174@hardakers.net> - 0.4-2
- Added desktop-file-utils to buildreqs for pulling in desktop-file-install

* Mon Jan 10 2011 Wes Hardaker <wjhns174@hardakers.net> - 0.4-1
- Initial Release for Fedora


